package org.springblade.modules.JlrhJws.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.JlrhJws.entity.JlrhJwsEntity;
import org.springblade.modules.JlrhJws.excel.JlrhJwsExcel;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVO;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVOS;

import java.util.List;
import java.util.Map;

/**
 * 警务室 服务类
 *
 * @author BladeX
 * @since 2023-07-07
 */
public interface IJlrhJwsService extends BaseService<JlrhJwsEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<JlrhJwsVO> selectJlrhJwsPage(IPage<JlrhJwsVO> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @return
	 */
	List<JlrhJwsExcel> exportJlrhJws(Map<String, Object> params);

	JlrhJwsVO getDetail(Long id);

	List<JlrhJwsVO> getDkfw(String deptId);

	JlrhJwsVO getPcsJwd(String deptId);

	IPage<JlrhJwsEntity> selectJwsPcs(IPage<Object> page, JlrhJwsEntity jlrhJws, String deptId);

	List<JlrhJwsVOS> selectJwsSq(Long id, String deptName);

	IPage<JlrhJwsEntity> selectJwsxx(IPage<Object> page, JlrhJwsEntity jlrhJwsEntity);

	IPage<JlrhJwsEntity> selectSqByDeptname(IPage<Object> page, JlrhJwsEntity jlrhJws, String deptId);

	int getJwsSl(Long userId);
}
